Skip to content
GET /unified/ats/applications

Query Parameters

Refer Specifying query parameters in Truto APIs

created_atstring · date-time

The date and time of the application's creation

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
updated_atstring · date-time

The date and time of the application's last update

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
job_idstring

The ID of the job to filter the applications by.

1 supported
Greenhouse
supported
candidate_idstring

The ID of the candidate to filter the applications by.

1 supported1 required
JobScore
required
jobsobject
1 supported1 required
Loxo
required
idstring
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Applications

applied_atstring · date-time

The date and time of the application's creation

5 supported
Ashby
supported
Greenhouse
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
attachmentsobject[]

The application's attachments

3 supported
Greenhouse
supported
JobScore
supported
Pinpoint
supported
9 properties
idstring
required·

The attachment's unique identifier

applicationobject

The attachment's application

1 property
idstring

Unique identifier of the application

attachment_typestring

The attachment's type

candidateobject

The attachment's candidate

1 property
idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the attachment's creation

file_namestring

The attachment's file_name

file_urlstring

The attachment's file_url

jobobject

The attachment's job

1 property
idstring

Unique identifier of the job

updated_atstring · date-time

The date and time of the attachment's last update

candidateobject

The application's candidate

6 supported
Ashby
supported
Greenhouse
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
1 property
idstring

Unique identifier of the candidate

created_atstring · date-time

The date and time of the application's creation

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
credited_toobject

The application's credited_to

3 supported
Ashby
supported
Greenhouse
supported
Loxo
supported
4 properties
emailsobject[]
3 properties
emailstring

Email of the user

is_primaryboolean

Whether the email is primary

typestring

Type of the email

first_namestring

First name of the user

idstring

Unique identifier of the user

last_namestring

Last name of the user

current_stageobject

The application's current_stage

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
5 properties
created_atstring · date-time

The date and time of the application's current_stage's creation

idstring

The application's current_stage's unique identifier

jobobject

The application's current_stage's job

1 property
idstring

Unique identifier of the job

namestring

The application's current_stage's name

updated_atstring · date-time

The date and time of the application's current_stage's last update

idstring

The application's unique identifier

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
jobobject

The application's job

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
1 property
idstring

Unique identifier of the job

reject_reasonstring

The application's reject_reason

3 supported
Ashby
supported
Greenhouse
supported
Teamtailor
supported
rejected_atstring · date-time

The date and time of the application's rejection

3 supported
Greenhouse
supported
Pinpoint
supported
Teamtailor
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

sourceobject

The application's source

3 supported
Ashby
supported
Greenhouse
supported
Zoho Recruit
supported
2 properties
idstring

The application's source's unique identifier

namestring

The application's source's name

updated_atstring · date-time

The date and time of the application's last update

7 supported
Ashby
supported
Greenhouse
supported
JobScore
supported
Loxo
supported
Pinpoint
supported
Teamtailor
supported
Zoho Recruit
supported
curl -X GET 'https://api.truto.one/unified/ats/applications?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ats/applications?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/applications"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ats',
  'applications',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ats",
        "applications",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())